# HaruPage::textRect

(PECL haru >= 0.0.1)

HaruPage::textRect — Print the text inside the specified region

### Description

HaruPage::textRect ( float `$left` , float `$top` , float `$right` , float `$bottom` , string `$text` [, int `$align` = HaruPage::TALIGN_LEFT ] ) : bool

Prints the text inside the specified region.

### Parameters

`left`

  Left border of the text area.

`top`

  Top border of the text area.

`right`

  Right border of the text area.

`bottom`

  Lower border of the text area.

`text`

  The text to print.

`align`

  Text alignment. Must be one of the following values:

  - `HaruPage::TALIGN_LEFT`
  - `HaruPage::TALIGN_RIGHT`
  - `HaruPage::TALIGN_CENTER`
  - `HaruPage::TALIGN_JUSTIFY`

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws a HaruException on error.

### See Also

- HaruPage::showTextNextLine() - Move the current position to the start of the next line and print the text
- HaruPage::showText() - Print text at the current position of the page
- HaruPage::textOut() - Print the text on the specified position